<template>
	<nav class="container navbar">
		<h1>
			<NuxtLink class="logo" to="/">Tom Kintzel</NuxtLink>
		</h1>
		<ul class="navbar-links">
			<li class="navbar-link">
				<NuxtLink class="bold navbar-links-item" to="/">
					<small class="top">zurück zur</small>
					<span class="grit">Startseite</span>
					<small class="top hide">x</small>
				</NuxtLink></li>
			<li class="navbar-link">
				<NuxtLink class="bold navbar-links-item" to="/projekte">
					<small class="top">meine</small>
					<span class="grit">Projekte</span>
					<small class="top hide">x</small>
				</NuxtLink>
			</li>
			<li class="navbar-link">
				<NuxtLink class="bold navbar-links-item" to="/kontakt">
					<small class="top">meine</small>
					<span class="grit">Kontakt</span>
					<small class="top">Daten</small>
				</NuxtLink>
			</li>
		</ul>
		<div class="social-media-links">
			<a href="https://www.twitter.com/_j3eez" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M24 4.557c-.883.392-1.832.656-2.828.775 1.017-.609 1.798-1.574 2.165-2.724-.951.564-2.005.974-3.127 1.195-.897-.957-2.178-1.555-3.594-1.555-3.179 0-5.515 2.966-4.797 6.045-4.091-.205-7.719-2.165-10.148-5.144-1.29 2.213-.669 5.108 1.523 6.574-.806-.026-1.566-.247-2.229-.616-.054 2.281 1.581 4.415 3.949 4.89-.693.188-1.452.232-2.224.084.626 1.956 2.444 3.379 4.6 3.419-2.07 1.623-4.678 2.348-7.29 2.04 2.179 1.397 4.768 2.212 7.548 2.212 9.142 0 14.307-7.721 13.995-14.646.962-.695 1.797-1.562 2.457-2.549z"/></svg></a>
			<a href="https://www.instagram.com/j3eez" target="_blank" rel="noopener"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M12 2.163c3.204 0 3.584.012 4.85.07 3.252.148 4.771 1.691 4.919 4.919.058 1.265.069 1.645.069 4.849 0 3.205-.012 3.584-.069 4.849-.149 3.225-1.664 4.771-4.919 4.919-1.266.058-1.644.07-4.85.07-3.204 0-3.584-.012-4.849-.07-3.26-.149-4.771-1.699-4.919-4.92-.058-1.265-.07-1.644-.07-4.849 0-3.204.013-3.583.07-4.849.149-3.227 1.664-4.771 4.919-4.919 1.266-.057 1.645-.069 4.849-.069zm0-2.163c-3.259 0-3.667.014-4.947.072-4.358.2-6.78 2.618-6.98 6.98-.059 1.281-.073 1.689-.073 4.948 0 3.259.014 3.668.072 4.948.2 4.358 2.618 6.78 6.98 6.98 1.281.058 1.689.072 4.948.072 3.259 0 3.668-.014 4.948-.072 4.354-.2 6.782-2.618 6.979-6.98.059-1.28.073-1.689.073-4.948 0-3.259-.014-3.667-.072-4.947-.196-4.354-2.617-6.78-6.979-6.98-1.281-.059-1.69-.073-4.949-.073zm0 5.838c-3.403 0-6.162 2.759-6.162 6.162s2.759 6.163 6.162 6.163 6.162-2.759 6.162-6.163c0-3.403-2.759-6.162-6.162-6.162zm0 10.162c-2.209 0-4-1.79-4-4 0-2.209 1.791-4 4-4s4 1.791 4 4c0 2.21-1.791 4-4 4zm6.406-11.845c-.796 0-1.441.645-1.441 1.44s.645 1.44 1.441 1.44c.795 0 1.439-.645 1.439-1.44s-.644-1.44-1.439-1.44z"/></svg></a>
			<a href="mailto:tomkintzel@gmail.com"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M24 0l-6 22-8.129-7.239 7.802-8.234-10.458 7.227-7.215-1.754 24-12zm-15 16.668v7.332l3.258-4.431-3.258-2.901z"/></svg></a>
		</div>
	</nav>
</template>

<style>
	.navbar {
		display: grid;
		grid-template-columns: 200px 1fr 150px;
		align-items: center;
		box-shadow: rgb(0 0 0 / 6%) 0px 4px 4px;
	}

	.logo-wrapper {
		flex: 1 0 auto;
	}

	h1 {
		font-weight: 600;
		font-size: 2em;
	}
	.hide {
		visibility: hidden;
	}

	.navbar-links {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		list-style: none;
		margin: 0px;
		padding: 3em 2em 2em;
	}

	.navbar-link {
		display: grid;
		grid-template-columns: 1fr auto;
		align-content: center;
		align-items: start;
		gap: 2rem;
		margin: 1em;
	}

	.social-media-links {
		flex: 1 0 auto;
		display: flex;
		justify-content: flex-end;
	}

	.social-media-links a {
		margin-left: 2em;
	}

	svg {
		fill: #ff6e48;
	}
	svg:hover {
		fill: #fff;
	}

	.top {
		font-size: 0.70em;
		display: block;
		text-align: right;
		line-height: 10px;
		position: relative;
		pointer-events: none;
	}
	.grit {
		font-size: 1.6em;
	}

	.grit::before {
		width: 0.75em;
		height: 0.75em;
		content: "";
		pointer-events: none;
		background: #3b8070;
		position: absolute;
		z-index: -1;
		transform: translateX(-0.2em) rotate(0deg) translateY(-0.2em);
		visibility: hidden;
	}
	.grit:hover::before {
		visibility: visible;
	}

	@media (max-width: 769px) {
		.navbar {
			flex-direction: column;
		}

		.navbar-links {
			margin-top: 0.8em;
		}

		.navbar-links-item:last-child {
			margin: 0;
		}

		.social-media-links {
			margin-top: 1em;
		}
		.social-media-links a:first-child {
			margin: 0;
		}
	}
</style>

<script>
export default {
	
}
</script>